Test the Beta
The new version of eleFront will only be compatible with Rhino 7 and later.
Please be aware that we have reworked significant portions of the code base. We expect there may be bugs, even in components that may have worked in previous versions. Please consider this before deploying the Beta on any work that is time sensitive or could be impacted by unexpected behavior.
Our recommendation for how to install the Beta is to take the following steps:
  1. 1.
    Open the Package Manager by entering the command PackageManager
  2. 2.
    Be sure to check the "Include pre-releases" box in the lower left corner.
  3. 3.
    search for eleFront. You should see two results.
5. Click "Install", and confirm the dialog window that pops up.
6. It is possible to install alongside the stable version. To do so, follow the steps below.

Install Alongside the Stable Version

It is possible to install the stable version of eleFront alongside the beta. In fact, if eleFront is a core part of your workflow, we encourage this until the new version is stable and officially released.
We have provided a Legacy Version of the Rhino 6 release. If you want to test the Beta, we suggest also installing this version, as it has names and icons that will help you distinguish between the Rhino 6 release and the beta. Your current scripts should work out-of-the box with the Legacy version.
  1. 1.
    Delete the existing installation for Rhino 6.
  2. 2.
    Follow the steps in the section above, and locate eleFront in the Package Manager.
  3. 3.
    Select the second option "eleFront-Rhino-6-Legacy"
  4. 4.
    Click "Install", and confirm the dialog window that pops up.

Installing while also using Rhino 6

If you will be using Rhino 6 and Rhino 7 side-by-side, then you should also install eleFront through the Package Manager in Rhino 6. Follow these steps:
It is important to delete the existing version and follow the steps in this guide! If you install the .gha files in the more manual way, or leave the old file in the Grasshopper Libraries folders, you are very likely to get conflicts when loading the plugins.
  1. 1.
    Follow all of the steps in the two sections above.
  2. 2.
    Open Rhino 6
  3. 3.
    Access the Package Manager by entering the command _TestPackageManager (NOTE: This is different from the Rhino 7 command, and does not auto-complete in Rhino)
  4. 4.
    Wait for the plugins to load, then search for eleFront
  5. 5.
    Select version 4.2.2
  6. 6.
    Click "Install", and confirm the dialog window that pops up.
In this case, Grasshopper will display the original icons and names, since there is no conflict with the Beta. Components will be interchangeable with those in the Legacy version.
​
​